Upgraded OS9 Software on G5

Discussion in 'Mac Apps and Mac App Store' started by BicyclePunk, Sep 28, 2003.

  1. BicyclePunk macrumors regular

    Joined:
    Aug 26, 2002
    Location:
    Somewhere near Philadelphia
    #1
    I haven't booted into OS9 in several months, but I have a lot of software that I bought as OS9 software, but have OSX upgrads...such as PhotoShop; Office, etc. How much trouble will I have installing it on my new G5 (whenever that gets here)? Do I have to buy all new applications, or is there a way I can use what I have? Thanks.
     
  2. Exlaxxboy macrumors newbie

    Joined:
    Jul 20, 2002
    Location:
    Heaven
    #2
    EOL'd

    OS9 was EOL'd a while ago with the advent of the August 2k2 1.25 G4 which no longer supported OS 9 booting G5 will most likely not have it either
     
  3. Nermal Moderator

    Nermal

    Staff Member

    Joined:
    Dec 7, 2002
    Location:
    New Zealand
    #3
    You can't boot into OS 9 on the G5s, but they do still have Classic, so you should still be able to install your OS 9 apps and their OS X upgrades.
     
  4. Freg3000 macrumors 68000

    Freg3000

    Joined:
    Sep 22, 2002
    Location:
    New York
    #4
    Re: EOL'd

    The first PowerMac revision that ended OS 9 boot capabilities were the FW 800 models in late January 2003. It is the only PowerMac G4 model that does not support OS 9 booting.
     
  5. BicyclePunk thread starter macrumors regular

    Joined:
    Aug 26, 2002
    Location:
    Somewhere near Philadelphia
    #5
    I realize these machines can't boot into OS9, and that's cool. But if I can install my software through Classic, I guess that would work...right? Thanks.
     
  6. Freg3000 macrumors 68000

    Freg3000

    Joined:
    Sep 22, 2002
    Location:
    New York
    #6
    Most of the time, yes, it will work. However, sometimes installers will not work Classic mode. my work around was to boot into OS 9. I don't possibly know what you would do.

    However, most likely, you will have no problems.
     
  7. ZildjianKX macrumors 68000

    ZildjianKX

    Joined:
    May 18, 2003
    #7
    Long as you don't plan on running the software... if you want to use classic to install them to then pay for upgrades, then you should be okay.
     
  8. BicyclePunk thread starter macrumors regular

    Joined:
    Aug 26, 2002
    Location:
    Somewhere near Philadelphia
    #8
    Which software? I have MS Office 2001. That installs on OS9. But last year, I bought the latest upgrade and that installs over v2001...I think. Really, PhotoShop and MS Office are the only problems I might have.
     

Share This Page